<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>acclog.c</name>
    <path>/c/clients/src/gwc/src/</path>
    <filename>db/d88/acclog_8c</filename>
    <includes id="dc/d8a/acclog_8h" name="acclog.h" local="yes" imported="no">acclog.h</includes>
    <includes id="da/de8/append_8h" name="append.h" local="yes" imported="no">append.h</includes>
    <includes id="d4/ddc/oop_8h" name="oop.h" local="yes" imported="no">oop.h</includes>
    <class kind="struct">acclog_private_t</class>
    <class kind="union">acclog_union</class>
    <member kind="define">
      <type>#define</type>
      <name>PRIV</name>
      <anchor>a0</anchor>
      <arglist>(obj)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACCLOG_STRING</name>
      <anchor>a1</anchor>
      <arglist>(name)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>acclog_reset</name>
      <anchor>a4</anchor>
      <arglist>(acclog_t *la)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>acclog_flush</name>
      <anchor>a5</anchor>
      <arglist>(acclog_t *la)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>acclog_commit</name>
      <anchor>a6</anchor>
      <arglist>(acclog_t *la)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>acclog_destruct</name>
      <anchor>a7</anchor>
      <arglist>(acclog_t *la)</arglist>
    </member>
    <member kind="function">
      <type>acclog_t *</type>
      <name>acclog_new</name>
      <anchor>a8</anchor>
      <arglist>(FILE *f)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const uint64_t</type>
      <name>acclog_magic</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const struct acclog</type>
      <name>acclog_vtable</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>acclog.h</name>
    <path>/c/clients/src/gwc/src/</path>
    <filename>dc/d8a/acclog_8h</filename>
    <includes id="dc/d54/common_8h" name="common.h" local="yes" imported="no">common.h</includes>
    <class kind="struct">acclog</class>
    <member kind="define">
      <type>#define</type>
      <name>ACCLOG_SET</name>
      <anchor>a0</anchor>
      <arglist>(al, name, x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACCLOG_OP</name>
      <anchor>a1</anchor>
      <arglist>(al, op)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACCLOG_COMMIT</name>
      <anchor>a2</anchor>
      <arglist>(al)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACCLOG_FLUSH</name>
      <anchor>a3</anchor>
      <arglist>(al)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACCLOG_RESET</name>
      <anchor>a4</anchor>
      <arglist>(al)</arglist>
    </member>
    <member kind="typedef">
      <type>acclog</type>
      <name>acclog_t</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>acclog_t *</type>
      <name>acclog_new</name>
      <anchor>a6</anchor>
      <arglist>(FILE *f)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>append.h</name>
    <path>/c/clients/src/gwc/src/</path>
    <filename>da/de8/append_8h</filename>
    <includes id="dc/d54/common_8h" name="common.h" local="yes" imported="no">common.h</includes>
    <includes id="d3/d4d/nettools_8h" name="nettools.h" local="yes" imported="no">nettools.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>APPEND_STATIC_CHARS</name>
      <anchor>a0</anchor>
      <arglist>(dst, size, chars)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_string</name>
      <anchor>a1</anchor>
      <arglist>(char *dst, size_t *size, const char *src)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_escaped_char</name>
      <anchor>a2</anchor>
      <arglist>(char *dst, size_t *size, char ch)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_escaped_string</name>
      <anchor>a3</anchor>
      <arglist>(char *dst, size_t *size, const char *src)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_escaped_chars</name>
      <anchor>a4</anchor>
      <arglist>(char *dst, size_t *size, const char *src, size_t len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_char</name>
      <anchor>a5</anchor>
      <arglist>(char *dst, size_t *size, char c)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_chars</name>
      <anchor>a6</anchor>
      <arglist>(char *dst, size_t *size, const char *src, size_t len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_uint64</name>
      <anchor>a7</anchor>
      <arglist>(char *buf, size_t *size, uint64_t v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_uint</name>
      <anchor>a8</anchor>
      <arglist>(char *buf, size_t *size, unsigned int v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_date</name>
      <anchor>a9</anchor>
      <arglist>(char *buf, size_t *size, time_t t)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>append_size</name>
      <anchor>a10</anchor>
      <arglist>(char *buf, size_t *size, uint64_t v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>skip_spaces</name>
      <anchor>a11</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>char *</type>
      <name>skip_non_spaces</name>
      <anchor>a12</anchor>
      <arglist>(const char *s)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>checker.c</name>
    <path>/c/clients/src/gwc/src/</path>
    <filename>d1/dbc/checker_8c</filename>
    <includes id="d4/ddc/checker_8h" name="checker.h" local="yes" imported="no">checker.h</includes>
    <includes id="d7/d5b/options_8h" name="options.h" local="yes" imported="no">options.h</includes>
    <includes id="dd/d56/http_8h" name="http.h" local="yes" imported="no">http.h</includes>
    <includes id="d3/d4d/nettools_8h" name="nettools.h" local="yes" imported="no">nettools.h</includes>
    <includes id="db/d62/gwc_8h" name="gwc.h" local="yes" imported="no">gwc.h</includes>
    <includes id="d6/d55/dnshelper_8h" name="dnshelper.h" local="yes" imported="no">dnshelper.h</includes>
    <includes id="d4/ddc/oop_8h" name="oop.h" local="yes" imported="no">oop.h</includes>
    <includes id="da/de8/append_8h" name="append.h" local="yes" imported="no">append.h</includes>
    <class kind="struct">url_hash_t</class>
    <class kind="struct">url_check_ctx_t</class>
    <member kind="define">
      <type>#define</type>
      <name>OPTION</name>
      <anchor>a0</anchor>
      <arglist>(x)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_REQ_SIZE</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_URLS_PER_URLFILE</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>MAX_PENDING_CHECKS</name>
      <anchor>a3</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TIME_MARK_DELAY</name>
      <anchor>a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>check_t</name>
      <anchor>a49</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHECK_PING</name>
      <anchor>a49a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHECK_URLFILE</name>
      <anchor>a49a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CHECK_GET</name>
      <anchor>a49a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>gwc_check_event</name>
      <anchor>a21</anchor>
      <arglist>(connection_t *, connection_event_t)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>gwc_urlfile_check_read_body</name>
      <anchor>a22</anchor>
      <arglist>(url_check_ctx_t *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>gwc_ping_check_read_body</name>
      <anchor>a23</anchor>
      <arglist>(url_check_ctx_t *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>gwc_get_check_read_body</name>
      <anchor>a24</anchor>
      <arglist>(url_check_ctx_t *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>log_time_mark</name>
      <anchor>a25</anchor>
      <arglist>(time_t now)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>checker_logv</name>
      <anchor>a26</anchor>
      <arglist>(const char *fmt, va_list ap)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>checker_log</name>
      <anchor>a27</anchor>
      <arglist>(const char *fmt,...) CHECK_FMT(1</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checker_log_reopen</name>
      <anchor>a28</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>url_check_ctx_t *</type>
      <name>pending_check</name>
      <anchor>a29</anchor>
      <arglist>(const char *url)</arglist>
    </member>
    <member kind="function">
      <type>url_check_ctx_t *</type>
      <name>url_check_ctx_new</name>
      <anchor>a30</anchor>
      <arglist>(client_t *c, const char *host, const char *url, check_t chk)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>url_check_ctx_destruct</name>
      <anchor>a31</anchor>
      <arglist>(url_check_ctx_t *ctx)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>checker_move_gwc</name>
      <anchor>a32</anchor>
      <arglist>(gwc_cache_t *from, gwc_cache_t *to, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checker_remove_gwc</name>
      <anchor>a33</anchor>
      <arglist>(gwc_cache_t *cache, const char *url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>analyze_results</name>
      <anchor>a34</anchor>
      <arglist>(url_check_ctx_t *ctx, time_t now)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>connection_t *</type>
      <name>gwc_check_connect</name>
      <anchor>a35</anchor>
      <arglist>(uint32_t ipv4_addr, uint16_t port, int *error)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checker_verify_url</name>
      <anchor>a36</anchor>
      <arglist>(const char *url, time_t now)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>checker_urlcheck_run</name>
      <anchor>a37</anchor>
      <arglist>(const char *url, const address_batch_t addrs, check_t chk)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>extract_line</name>
      <anchor>a38</anchor>
      <arglist>(url_check_ctx_t *ctx, char *buf, size_t size)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>int</type>
      <name>gwc_parse_url</name>
      <anchor>a39</anchor>
      <arglist>(url_check_ctx_t *ctx, char *buf)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>checker_get_dns_reply</name>
      <anchor>a40</anchor>
      <arglist>(connection_t *c, connection_event_t ev)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>void</type>
      <name>checker_send_dns_query</name>
      <anchor>a41</anchor>
      <arglist>(connection_t *c, connection_event_t ev)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checker_set_address_filter</name>
      <anchor>a42</anchor>
      <arglist>(addr_filter_t *af)</arglist>
    </member>
    <member kind="function">
      <type>gwc_cache_t *</type>
      <name>checker_get_good_cache</name>
      <anchor>a43</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>gwc_cache_t *</type>
      <name>checker_get_bad_cache</name>
      <anchor>a44</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checker_save_cache</name>
      <anchor>a45</anchor>
      <arglist>(const gwc_cache_t *cache, const char *pathname)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checker_load_cache</name>
      <anchor>a46</anchor>
      <arglist>(gwc_cache_t *cache, const char *pathname, const options_t *c)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>gwc_cache_t *</type>
      <name>checker_cache_new</name>
      <anchor>a47</anchor>
      <arglist>(size_t size, unsigned int age, bool good)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>checker_initialize</name>
      <anchor>a48</anchor>
      <arglist>(const options_t *cfg, server_t *s, int query_fd, int reply_fd)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const options_t *</type>
      <name>opts_</name>
      <anchor>a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>FILE *</type>
      <name>log_file</name>
      <anchor>a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char</type>
      <name>get_req_str</name>
      <anchor>a7</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char</type>
      <name>ping_req_str</name>
      <anchor>a8</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char</type>
      <name>urlfile_req_str</name>
      <anchor>a9</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>gwc_cache_t *</type>
      <name>bad_cache</name>
      <anchor>a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>gwc_cache_t *</type>
      <name>good_cache</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>connection_t *</type>
      <name>dns_reply_con</name>
      <anchor>a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>connection_t *</type>
      <name>dns_query_con</name>
      <anchor>a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>server_t *</type>
      <name>server</name>
      <anchor>a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>addr_filter_t *</type>
      <name>addr_filter</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
  